#include <iostream>
using namespace std;

int main () {
 int A,B,C,D,E;
 cin>>A>>B>>C>>D>>E;
 if (E>D) {
     cout<<"1";
      return 0;
 }
 if (E>C) {
     cout<<"2";
      return 0;
 }
 if (D>B) {
     cout<<"3";
      return 0;
 }
 if (E>A) {
     cout<<"4";
      return 0;
 }
return 0;
}